igeo

## Class IBoolR

- java.lang.Object
- - igeo.IParameterObject
  - - igeo.IBoolR

- All Implemented Interfaces:
    IBoolI, IBoolOp, IParameter, IReferenceParameter, IScalar, ISubobject, IVal

      public class IBoolR
      extends IParameterObject
      implements IBoolI, IReferenceParameter

  Reference class of boolean to be used as IParameterObject.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IBoolR.And`
    `static class` | `IBoolR.Eq`
    `static class` | `IBoolR.Not`
    `static class` | `IBoolR.Or`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IBoolOp` | `op`

    - ### Fields inherited from class igeo.IParameterObject

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IBoolR(boolean v)`
    `IBoolR(IBoolOp v)`
    `IBoolR(IServerI s, boolean v)`
    `IBoolR(IServerI s, IBoolOp v)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IBoolR` | `and(boolean v)`
    `IBoolR` | `and(IBoolI v)`
    `IBoolR` | `cp()` alias of dup()
    `IBoolR` | `dup()`
    `boolean` | `eq(IBoolI v)`
    `boolean` | `eq(ISwitchE e, IBoolI v)`
    `IBoolR` | `eq(ISwitchR r, IBoolI v)`
    `IBool` | `get()`
    `IBoolR` | `getX()`
    `IBoolR` | `not()`
    `IBoolOp` | `operator()`
    `IBoolR` | `or(boolean v)`
    `IBoolR` | `or(IBoolI v)`
    `IBoolR` | `set(boolean v)`
    `IBoolR` | `set(IBoolI v)` convert reference tree to one constant value
    `boolean` | `x()`

    - ### Methods inherited from class igeo.IParameterObject

      `createObject, parent, parent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### op

          protected IBoolOp op

  - ### Constructor Detail

    - #### IBoolR

          public IBoolR(IBoolOp v)

    - #### IBoolR

          public IBoolR(boolean v)

    - #### IBoolR

          public IBoolR(IServerI s,
                IBoolOp v)

    - #### IBoolR

          public IBoolR(IServerI s,
                boolean v)

  - ### Method Detail

    - #### x

          public boolean x()

      Specified by:
        `x` in interface `IBoolI`
      Specified by:
        `x` in interface `IBoolOp`
      Returns:
        primitive value

    - #### get

          public IBool get()

      Specified by:
        `get` in interface `IBoolI`
      Specified by:
        `get` in interface `IBoolOp`
      Specified by:
        `get` in interface `IParameter`
      Returns:
        fixed value but in wrapper class

    - #### getX

          public IBoolR getX()

      Specified by:
        `getX` in interface `IBoolI`
      Returns:
        generic parameter of the value (either of entity class or reference class) (in one dimensional data, it's same with the instance itself)

    - #### dup

          public IBoolR dup()

      Specified by:
        `dup` in interface `IBoolI`
      Returns:
        duplicated instance

    - #### cp

          public IBoolR cp()

      Description copied from interface: `IBoolI`
      alias of dup()
      Specified by:
        `cp` in interface `IBoolI`

    - #### operator

          public IBoolOp operator()

      Specified by:
        `operator` in interface `IReferenceParameter`

    - #### set

          public IBoolR set(IBoolI v)

      Description copied from interface: `IBoolI`
      convert reference tree to one constant value
      Specified by:
        `set` in interface `IBoolI`

    - #### set

          public IBoolR set(boolean v)

      Specified by:
        `set` in interface `IBoolI`

    - #### and

          public IBoolR and(IBoolI v)

      Specified by:
        `and` in interface `IBoolI`

    - #### and

          public IBoolR and(boolean v)

      Specified by:
        `and` in interface `IBoolI`

    - #### or

          public IBoolR or(IBoolI v)

      Specified by:
        `or` in interface `IBoolI`

    - #### or

          public IBoolR or(boolean v)

      Specified by:
        `or` in interface `IBoolI`

    - #### not

          public IBoolR not()

      Specified by:
        `not` in interface `IBoolI`

    - #### eq

          public boolean eq(IBoolI v)

      Specified by:
        `eq` in interface `IBoolI`

    - #### eq

          public boolean eq(ISwitchE e,
                   IBoolI v)

      Specified by:
        `eq` in interface `IBoolI`

    - #### eq

          public IBoolR eq(ISwitchR r,
                  IBoolI v)

      Specified by:
        `eq` in interface `IBoolI`